MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000309Community[OCCT] OCCT:Foundation Classespublic2002-04-17 17:032013-10-29 09:57
Reporteremo 
Assigned Topop 
PrioritynoneSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.0.0 
Summary0000309: bug in OSD_Path::UpTrek
DescriptionThis bug has been added by Stephane Routelous stephane.routelous@sympatico.ca at
http://www.opencascade.org/forumorg/bug.php?bug_id=42&f=8 [^]
Hi,

I found a bug in OSD_Path::UpTrek().
I'm on Linux ( Suse7.2 ) using gcc version 2.95.3 20010315 (SuSE)
OCC 4.0 release

#include
#include
#include
#include

int main(int argc, char *argv[])
{
OSD_Process p;
OSD_Path d = p.CurrentDirectory();
TCollection_AsciiString s;
d.SystemName(s);
cout << "*" << s.ToCString() << "*" << endl;
d.UpTrek();
d.SystemName(s);
cout << "*" << s.ToCString() << "*" <<endl;
return 0;
}

the output :
*/home/sroutelous/tmp/bugOSDPath/*
**

should be :
*/home/sroutelous/tmp/bugOSDPath/*
*/home/sroutelous/tmp/*

Wokaround :
OSD_Path d = p.CurrentDirectory();
TCollection_AsciiString s;
d.SystemName(s);
OSD_Path dd(s);
dd.UpTrek();

here dd is OK.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0024296assignedski Open CASCADE Test "bugs fclasses bug309" is crashed if current directory is into disc-root 
Not all the children of this issue are yet resolved or closed.

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2002-05-13 12:03 bugmaster Assigned To bugmaster => pop
2002-05-13 12:03 bugmaster Status new => assigned
2002-05-20 15:30 bugmaster Status assigned => verified
2002-08-01 18:40 bugmaster Status verified => closed
2002-08-01 18:40 bugmaster Resolution @0@ => fixed
2011-08-02 11:23 bugmaster Category OCCT:FDC => OCCT:Foundation Classes
2011-12-15 17:54 bugmaster Project Open CASCADE => Community
2013-10-29 09:57 nbv Relationship added parent of 0024296


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker